GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
gdcm::PDBElement Class Reference

Class to represent a PDB Element. More...

`#include <gdcmPDBElement.h>`

Collaboration diagram for gdcm::PDBElement:
[legend]

## Public Member Functions

| PDBElement ()
const char * | GetName () const
| Set/Get Name.
const char * | GetValue () const
| Set/Get Value.
bool | operator== (const PDBElement &de) const
void | SetName (const char *name)
void | SetValue (const char *value)

## Protected Attributes

std::string | NameField
std::string | ValueField

## Friends

std::ostream & | operator<< (std::ostream &os, const PDBElement &val)

## Detailed Description

Class to represent a PDB Element.

See Also
  PDBHeader

## Constructor & Destructor Documentation

gdcm::PDBElement::PDBElement | ( |  | ) |

inline

## Member Function Documentation

const char* gdcm::PDBElement::GetName | ( |  | ) | const

inline

Set/Get Name.

const char* gdcm::PDBElement::GetValue | ( |  | ) | const

inline

Set/Get Value.

bool gdcm::PDBElement::operator== | ( | const PDBElement & | de | ) | const

inline

References NameField, and ValueField.

void gdcm::PDBElement::SetName | ( | const char * | name | ) |

inline

void gdcm::PDBElement::SetValue | ( | const char * | value | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PDBElement & | val
| ) |  |

friend

## Member Data Documentation

std::string gdcm::PDBElement::NameField

protected

Referenced by gdcm::operator<<(), and operator==().

std::string gdcm::PDBElement::ValueField

protected

Referenced by gdcm::operator<<(), and operator==().

The documentation for this class was generated from the following file:

- gdcmPDBElement.h